Jump to content
JasperReports Library 7.0 is now available ×
  • This documentation is an older version of JasperReports Server Release Notes. View the latest documentation.

    This section describes:

    Installer General Notes
    Operating Systems Supported by the Installer
    Application Server and Database Configurations Supported by the Installer
    WAR File Binary Distribution

    For more information, see the Jaspersoft Platform Support document, which is available from TIBCO Jaspersoft Technical Support (http://support.tibco.com).

    Installer General Notes

    The installers contain all components needed to run the JasperReports Server web application, including:

    Apache Tomcat 8.0.48
    PostgreSQL 9.3.20
    Oracle JDK 8 version 1.8.0_151 (8u151)
    JasperReports Server Web Application (WAR) file
    PhantomJS 2.1.1

    Operating Systems Supported by the Installer

    The installers are available for both 32-bit and 64-bit versions of these operating systems:

    Linux Installer Windows Installer Mac OS X Installer
    Red Hat Enterprise Linux 5.4, 5.5, 5.6, 6.1, 6.4, and 7.1
    Novell SUSE Linux Enterprise 11.1
    Ubuntu 10, 11, 12, and 14
    Debian 5.0 and 6.0
    Fedora 19 and 20
    CentOS 5.6, 6.1, and 7
    Windows 7 (SP1)
    Windows 8.1
    Windows 10
    Windows Server 2008 and 2012
    Mountain Lion (10.8)
    Maverick (10.9)
    Yosemite (10.10.1)

    OSX 32 bit is no longer supported as of JasperReports Server version 5.5.

    Application Server and Database Configurations Supported by the Installer

    During installation, you can choose whether to use an existing instance of Tomcat or create a new one. Similarly, you can choose whether to use an existing instance of PostgeSQL or create a new one. These choices are entirely independent; you can use either an existing instance or create a new instance of either application.

    WAR File Binary Distribution

    The WAR File Binary Distribution (file name: TIB_js-jrs_6.4.3_bin.zip) contains sample configurations and repository database setup scripts for the applications listed in this section.

    Application Servers

    Apache Tomcat 7.0 (we recommend 7.0.19 and higher) and Tomcat 8.5 (we recommend 8.5.20)
    GlassFish 4.1
    JBoss EAP 6.1.1, 6.2, 6.3, 6.4, and 7.0
    WildFly 8.1.0, 8.2.0, 9.0.2, and 10
    WebLogic 12.1.3
    WebSphere 8.5

    Database Servers

    PostgreSQL 9.2, 9.3, 9.4, and 9.5
    MySQL 5.5, 5.6, and 5.7
    IBM DB2 9.7, 10.1, and 10.5
    Microsoft SQL Server 2012 and 2014
    Oracle 11g R2 and 12c

    Java Virtual Machines

    Oracle JDK 1.7 and 1.8
    OpenJDK 1.7 and 1.8
    IBM JDK 1.7

    note-icon-ns.png.0518f1da9838d6bccd78146952876a29.png

    Only 64-bit JDKs are supported.


    User Feedback

    Recommended Comments

    There are no comments to display.



    Guest
    This is now closed for further comments

×
×
  • Create New...